Open SCAP Library: xccdf_profile Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
xccdf_profile Struct Reference
XCCDF

XCCDF profile is a set of tests and their settings in a compact package. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_profile * | xccdf_profile_new (void)
void | xccdf_profile_free (struct xccdf_item *prof)
struct xccdf_item * | xccdf_profile_to_item (struct xccdf_profile *item)
struct xccdf_profile * | xccdf_profile_clone (const struct xccdf_profile *profile)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | xccdf_profile_get_id (const struct xccdf_profile *profile)
struct oscap_text_iterator * | xccdf_profile_get_title (const struct xccdf_profile *profile)
struct oscap_text_iterator * | xccdf_profile_get_description (const struct xccdf_profile *profile)
const char * | xccdf_profile_get_version (const struct xccdf_profile *profile)
const char * | xccdf_profile_get_extends (const struct xccdf_profile *profile)
struct xccdf_benchmark * | xccdf_profile_get_benchmark (const struct xccdf_profile *profile)
bool | xccdf_profile_get_abstract (const struct xccdf_profile *profile)
bool | xccdf_profile_get_prohibit_changes (const struct xccdf_profile *profile)
struct oscap_string_iterator * | xccdf_profile_get_platforms (const struct xccdf_profile *profile)
struct xccdf_status_iterator * | xccdf_profile_get_statuses (const struct xccdf_profile *profile)
struct oscap_reference_iterator * | xccdf_profile_get_dc_statuses (const struct xccdf_profile *profile)
struct oscap_reference_iterator * | xccdf_profile_get_references (const struct xccdf_profile *profile)
struct xccdf_status * | xccdf_profile_get_status_current (const struct xccdf_profile *profile)
struct xccdf_select_iterator * | xccdf_profile_get_selects (const struct xccdf_profile *profile)
struct xccdf_setvalue_iterator * | xccdf_profile_get_setvalues (const struct xccdf_profile *profile)
struct xccdf_refine_value_iterator * | xccdf_profile_get_refine_values (const struct xccdf_profile *profile)
struct xccdf_refine_rule_iterator * | xccdf_profile_get_refine_rules (const struct xccdf_profile *profile)
struct oscap_string_iterator * | xccdf_profile_get_metadata (const struct xccdf_profile *profile)
const char * | xccdf_profile_get_version_update (const struct xccdf_profile *profile)
const char * | xccdf_profile_get_version_time (const struct xccdf_profile *profile)
bool | xccdf_profile_get_tailoring (const struct xccdf_profile *profile)
const char * | xccdf_profile_get_note_tag (const struct xccdf_profile *profile)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_profile_set_note_tag (struct xccdf_profile *item, const char *newval)
bool | xccdf_profile_set_id (struct xccdf_profile *item, const char *newval)
bool | xccdf_profile_set_abstract (struct xccdf_profile *item, bool newval)
bool | xccdf_profile_set_prohibit_changes (struct xccdf_profile *item, bool newval)
bool | xccdf_profile_set_extends (struct xccdf_profile *item, const char *newval)
bool | xccdf_profile_set_version (struct xccdf_profile *item, const char *newval)
bool | xccdf_profile_set_version_time (struct xccdf_profile *item, const char *newval)
bool | xccdf_profile_set_version_update (struct xccdf_profile *item, const char *newval)
bool | xccdf_profile_set_tailoring (struct xccdf_profile *item, bool tailoring)
bool | xccdf_profile_add_metadata (struct xccdf_profile *item, const char *metadata)
bool | xccdf_profile_add_select (struct xccdf_profile *item, struct xccdf_select *newval)
bool | xccdf_profile_add_setvalue (struct xccdf_profile *item, struct xccdf_setvalue *newval)
bool | xccdf_profile_add_refine_value (struct xccdf_profile *item, struct xccdf_refine_value *newval)
bool | xccdf_profile_add_refine_rule (struct xccdf_profile *item, struct xccdf_refine_rule *newval)
bool | xccdf_profile_add_description (struct xccdf_profile *item, struct oscap_text *newval)
bool | xccdf_profile_add_platform (struct xccdf_profile *item, const char *newval)
bool | xccdf_profile_add_reference (struct xccdf_profile *item, struct oscap_reference *newval)
bool | xccdf_profile_add_status (struct xccdf_profile *item, struct xccdf_status *newval)
bool | xccdf_profile_add_dc_status (struct xccdf_profile *item, struct oscap_reference *newval)
bool | xccdf_profile_add_title (struct xccdf_profile *item, struct oscap_text *newval)

## Detailed Description

XCCDF profile is a set of tests and their settings in a compact package.

The documentation for this struct was generated from the following file:

- xccdf_benchmark.h